; Only for MacType (NOT SUPPORT THE OLD VERSION OF GDI++/HE)
; maxchow@qq.com

[Preview]
Font=Tahoma
Color=$990088
Text=卍 XMac.CRT 默认设置
Size=12
Align=Center

[General]
Name=XMac.CRT.Default

;【自动挂钩子进程】
;[0:Disable]  1:Enable
HookChildProcesses=1

;【字体微调】
;0:Normal 1:NoHinting 2:AutoHinting 3:Light+AutoHinting
HintingMode=1

;【抗锯齿方式】
;-1:Disable 0:Normal 1:Light 2:LCD(RGB) 3:LCD(GBR) 4:Light-LCD(RGB) 5:Light-LCD(GBR)
AntiAliasMode=0

;【常规体调整】
;-32:+32
NormalWeight=14

;【粗体字的调整】
;-16:+16
BoldWeight=2

;【斜体字的倾斜角度微调】
;-16:+16
ItalicSlant=0

;【只有在FontLoader=0（在下面）时此项设置才有效。建议选0，选1会占用大量内存，也没看出有什么好处。】
;0:Disable 1:Enable
UseMapping=0

;【Gamma模式开关】
;-1：关闭；0：使用设置的Gamma值（GammaValue）；1：使用sRGB的Gamma值；2：不明
GammaMode=0

;【Gamma值】
;GammaMode=0的时候此项设置才有效
;sRGB ≒ 2.2 CT-Default = 1.4
;windows的cleartype的Gamma值是1.4
GammaValue=1.4

;【对比度】
;数字越大越锐利，数字越小越发虚
Contrast=1.0

;【字体轮廓】
;数字越大字体就越粗越黑
RenderWeight=1.0

;【文字边界设置】
;数字越大越强调背景（类似文字边界被侵蚀的感觉），强调背景会有中字体锐利的感觉。适当降低对比度，提高TextTuning，可以使文字周围的颜色看起来“淡一点”
;再加上RenderWeight，把这三个设置的微妙平衡调节好的话，能得到不输给Mac的效果
;0:12

;AntiAliasMode=1时，通过TextTuning分量来调节
TextTuning=0

;AntiAliasMode=2时，通过TextTuning的RGB分量来调节
TextTuningR=0
TextTuningG=0
TextTuningB=0

;【字体加粗模式】
;对NormalWeight和BoldWeight有效
;0：Weight值大时横向加粗，值小时双向加粗，主要是避免Weight值过大时，模式3中在小字号时加粗过度出现斩头的现象；
;1：总是横向加粗；
;2：总是双向加粗，也就是freetype本身的粗体渲染。
;注意：通过加大GammaValue、TextTuning的值，可以减少Weight值过大的造成的效果问题，即可以在BolderMode=2时也可以避免转接头
BolderMode=0

;【字体的载入方法】
;（注意是载入方法，不是渲染方法）
;0：用freetype载入字体
;1：用windows的绘图核心载入字体
;很多freetype的设置需要此项选0才能生效
FontLoader=0

;【字体链接】
;当FontLoader=0时
;0：什么都不做；
;1：使用注册表里的字体链接设置，通过FreeType的字符表进行查找
;2：使用注册表里的字体链接设置，使用Windows的转换函数直接查找
;当FontLoader=1时
;会保持启用的状态，但是所有字体链接的处理会交由WIN32API完成。
FontLink=2

;【字体替代】
;当FontLoader=0时
;0：什么都不做；
;1：安全替换方案（兼容性较好），根据以下FontSubstitutes的配置进行替换；
;2：完全替换方案（效果较全面，如替换后出现乱码，请尝试使用1），根据以下FontSubstitutes的配置进行替换；
;当FontLoader=1时
;会保持启用的状态，但是所有字体替代的处理会交由WIN32API完成
FontSubstitutes=1

;【让freetype处理的最大的字体尺寸，单位是像素，0的话就是全尺寸】
;交付 gdi++ 处理的最大尺寸（单位为像素）
;0-2147483647
MaxHeight=0

;【阴影设置】
;格式：水平偏移,垂直偏移,深色文字的阴影透明度(0-100),深色文字的阴影颜色，浅色文字的阴影透明度(0-100),浅色文字的阴影颜色
;颜色值格式：BBGGRR 
Shadow=1,1,60,FFFFFF,35,000000

;【液晶显示器的优化配置】
;[0:None]  1:Default  2:Light  16:Legacy
LcdFilter=2

;【微调LcdFilter】
;LcdFilter>0，且AntiAliasMode>-1时，该微调才生效
;这5个值分别代表文字笔划中从左到右的笔划浓度，最小为0，最大为255
;注释掉这个参数则恢复使用
;LcdFilter=1或16，默认值为“16,64,112,64,16”
;LcdFilter=2，默认值为“0,85,86,85,0”
;LcdFilterWeight=16,64,128,64,16

;【字体缓存、内存的设置】
LoadOnDemand=1
CacheMaxFaces=256
CacheMaxSizes=33554432
CacheMaxBytes=67108864
EnableKerning=0

;【强制使用某一个字体】
;无视所有其他字体，全系统的字体都会被这里设置的字体代替
;ForceChangeFont=华文中宋

;【优先使用点阵】
;小于指定字号的文字将优先使用内嵌点阵
MaxBitmap=0

[Individual]
;【单独设置的字体】
;格式＝Hinting, AAMode, NormalWeight, BoldWeight, ItalicSlant, Kerning
;宋体=,,28,0,,
;新宋体=,,28,0,,


[Exclude]
;【除外的字体】

[ExcludeModule]
;【不渲染的程序，但仍会加载DLL】

[ExcludeSub]
;【排除不替换字体的程序】
;以下程序不会被进行字体热替换
;===== Office =====
;EXCEL.EXE
;POWERPNT.EXE
;WINWORD.EXE

[UnloadDll]
;【不渲染的程序，同时完全不加载DLL】
;dwm.exe


[FontSubstitutes]
;【字体替代】
;系统在调用“=”前面的字体时会忽视“=”前面的字体，而去直接调用“=”后面的字体
;Fixedsys=XHei NSimSun

